=== debian/changelog ===
sambamba (0.6.6-1) unstable; urgency=medium

  * Initial release (Closes: #871497)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2017 17:20:06 +0200
