=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DFLAGS=-O3 -g -release

# we can not build with NEON on armhf, the Debian builders
# don't support it.
ifeq ($(DEB_HOST_ARCH),armhf)
	DFLAGS += -mattr=-neon
endif

%:
	dh $@ --buildsystem=meson

override_missing:
	dh_missing --list-missing
