=== debian/changelog ===
sambamba (0.6.7-2) unstable; urgency=medium

  * Team upload.
  * Disable assert on i386, this is a new assert, but the current
    package is already broken on i386.
    Upstream is working on a proper fix, in the meantime we can let
    the package migrate without removing i386 or making things worse
    for this architecture. Closes: #893664
    See: https://github.com/biod/sambamba/issues/344 (and issue 300)

  [ Steffen Möller ]
  * Update upstream metadata file

  [ Matthias Klumpp ]
  * Fail on missing files
  * Do not force disable of neon on armhf in rules file, already
    handled by dh-dlang

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 12:10:12 +0200

sambamba (0.6.7-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - added references to registries

  [ Andreas Tille ]
  * New upstream version
  * Use dh-dlang
  * Standards-Version: 4.1.3
  * debhelper 11
  * enable hardening options
  * move bash_completion scripts to new location

 -- Andreas Tille <tille@debian.org>  Tue, 20 Mar 2018 10:53:49 +0100
