=== debian/control ===
Source: sambamba
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-dlang,
               libbiod-dev (>= 0.1.0-5),
               libhts-dev,
               liblz4-dev,
               libundead-dev (>= 1.0.9-2),
               meson (>= 0.40),
               pkg-config,
               python,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sambamba.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sambamba.git
Homepage: https://github.com/lomereiter/sambamba

Package: sambamba
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tools for working with SAM/BAM data
 Sambamba positions itself as a performant alternative
 to samtools and provides tools for
  * Powerful filtering with sambamba view --filter
  * Picard-like SAM header merging in the merge tool
  * Optional for operations on whole BAMs
  * Fast copying of a region to a new file with the slice tool
  * Duplicate marking/removal, using the Picard criteria
