=== debian/watch ===
version=4

https://github.com/lomereiter/sambamba/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
