=== debian/changelog ===
sambamba (0.7.1-4) unstable; urgency=medium

  * d/control: 
    - versioned dependency on htslib-dev to request non-stripped libhts.a
    - Standards-Version: 4.5.0
    - debhelper-compat 13
    - Rules-Requires-Root: no
    - Completed dependencies for cowbuilder
  * d/rules: better clean

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jul 2020 01:53:01 +0200

sambamba (0.7.1-3) unstable; urgency=medium

  * Fixed build failure (Closes: # 948919)
    with
    - dependency on newer htslib package that is not stripped
    - and exports the cram_to_bam function
    - avoided use of inline htslib function by sambamba
    Upstream informed on https://github.com/samtools/htslib/issues/1098

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jul 2020 19:18:06 +0200

sambamba (0.7.1-2) UNRELEASED; urgency=medium

  * Use 2to3 to port from Python2 to Python3
    Closes: #938431
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 21:03:13 +0100

sambamba (0.7.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream release
    Closes: #907489
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Add build time test
  * Allow pre-releases in watch file
  * Versioned Build-Depends: libbiod (>= 0.2.1)

  [ Steffen Möller ]
  * Update metadata with ref to conda

  [ Matthias Klumpp ]
  * New upstream version: 0.7.1
  * Run tests and build with strong optimizations
  * add-meson-build.patch: Update Meson build definition
    - Closes: #907489
    - We link against BioD stantically now
    - Tests are integrated into Meson
    - Allow switching on stronger optimizations used by the
      upstream Makefile
  * Depend on latest libbiod (>= 0.2.3)
  * Don't depend on libundead
  * Bump dh compat level to 12
  * Bump standards version (No changes needed)
  * Remove test artifacts in clean target

 -- Matthias Klumpp <mak@debian.org>  Sun, 15 Dec 2019 12:52:42 +0100
