=== debian/control ===
--- 
+++ 
@@ -3,20 +3,27 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-dlang,
-               libbiod-dev (>= 0.1.0-5),
-               libhts-dev,
+               libbiod-dev (>= 0.2.3),
+               libhts-dev (>= 1.10.2-4),
+               meson (>= 0.48),
+               pkg-config,
+               python3,
+               shunit2 <!nocheck>,
+               zlib1g-dev,
+# used by libhts and explicitly referenced in build instruction
                liblz4-dev,
-               libundead-dev (>= 1.0.9-2),
-               meson (>= 0.40),
-               pkg-config,
-               python,
-               zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sambamba.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sambamba.git
+               libcurl-dev,
+               libssl-dev,
+               libbz2-dev,
+               libdeflate-dev,
+               liblzma-dev
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/sambamba
+Vcs-Git: https://salsa.debian.org/med-team/sambamba.git
 Homepage: https://github.com/lomereiter/sambamba
+Rules-Requires-Root: no
 
 Package: sambamba
 Architecture: any
