=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1

include /usr/share/dh-dlang/dlang-flags.mk

%:
	mkdir -p obj-$(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Doptimize_strong=true -Dcpp_link_args="-wi -L=-z -L=relro -L=/usr/lib/x86_64-linux-gnu/libbiod.a /usr/lib/x86_64-linux-gnu/libhts.a -L=-lz -L=-lcrypto -L=-lcurl -L=-llzma -L=-lbz2 -L=-ldeflate -L=-llz4"

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/output/
	rm -f test.log

override_dh_auto_test:
	# tests seem broken
