=== debian/changelog ===
sambamba (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 21:21:52 +0100

sambamba (0.7.1-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * DEP3
  * Lintian-override for static linking

  [ Étienne Mollier ]
  * Define zlib dependency in meson.build.  (Closes: #966914)
  * Default to libcurl4-gnutls-dev as libcurl-dev dependency.  (Fixes
    lintian virtual-package-depends-without-real-package-depends)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 11 Nov 2020 09:27:56 +0100
