=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-dlang,
-               libbiod-dev (>= 0.2.3),
+               libbiod-dev,
                libhts-dev (>= 1.10.2-4),
                meson (>= 0.48),
                pkg-config,
@@ -14,12 +14,12 @@
                zlib1g-dev,
 # used by libhts and explicitly referenced in build instruction
                liblz4-dev,
-               libcurl-dev,
+               libcurl4-gnutls-dev | libcurl-dev,
                libssl-dev,
                libbz2-dev,
                libdeflate-dev,
                liblzma-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/sambamba
 Vcs-Git: https://salsa.debian.org/med-team/sambamba.git
 Homepage: https://github.com/lomereiter/sambamba
