=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,6 @@
 	rm -f test.log
 
 override_dh_auto_test:
-	# tests seem broken
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "FIXME: Build time tests needs fixing"
+endif
