=== debian/watch ===
version=4

opts="uversionmangle=s/-/~/" \
  https://github.com/lomereiter/sambamba/releases .*/archive/v(\d[\d.pre-]+)@ARCHIVE_EXT@
