=== debian/changelog ===
sambamba (0.8.1+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against libphobos2-ldc-shared98

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 17:15:21 +0000

sambamba (0.8.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh Patches
    + Replace DEB_TARGET_GNU_TYPE with DEB_HOST_MULTIARCH to find library
    + Fix fuzz in other patches

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 20:10:28 +0530

sambamba (0.8.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Steffen Möller ]
  * Update metadata - added ref to guix, fixed indent

  [ Nilesh Patra ]
  * Add autopkgtests
  * d/watch: Fix watch regex
  * Repack to remove embedded shunit2
  * d/lintian-overrides: Fix override
  * Add d/gbp.conf
  * d/salsa-ci.yml: Do not run build on i386, disable reprotest
  * d/copyright: Fix all copyrights (Closes: #991371)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 Aug 2021 21:11:39 +0530
