=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sambamba
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
@@ -19,7 +20,7 @@
                libbz2-dev,
                libdeflate-dev,
                liblzma-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/sambamba
 Vcs-Git: https://salsa.debian.org/med-team/sambamba.git
 Homepage: https://github.com/lomereiter/sambamba
