=== debian/watch ===
version=4

opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
uversionmangle=s/-/~/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/lomereiter/sambamba/releases .*/archive/.*/v(\d[\d.pre-]+)@ARCHIVE_EXT@
