## sambamba 0.8.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # This is a minimalistic make file to build sambamba with ldc2 as per instructions on
 # https://github.com/biod/sambamba#compiling-sambamba
+#
+# Note that this make file generates the most optimal binary for
+# sambamba (as a single run of ldc2 with aggressive inlining). For
+# development you may want to opt for meson+ninja or Makefile.guix instead.
 #
 # Targets (64-bit):
 #
@@ -12,14 +16,15 @@
 #
 # Static release with optimization (for releases):
 #
-#   make LIBRARY_PATH=~/opt/ldc2-$ver-linux-x86_64/lib pgo-static
+#   env CC=gcc make static
 #
 # Debug version
 #
-#   make LIBRARY_PATH=~/opt/ldc2-$ver-linux-x86_64/lib debug
+#   make debug
 #
 
 D_COMPILER=ldc2
+CC=gcc
 
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
@@ -30,15 +35,14 @@
 
 DFLAGS      = -wi -I. -IBioD -g -J.
 
-DLIBS       = $(LIBRARY_PATH)/libphobos2-ldc.a $(LIBRARY_PATH)/libdruntime-ldc.a
+# DLIBS       = $(LIBRARY_PATH)/libphobos2-ldc.a $(LIBRARY_PATH)/libdruntime-ldc.a
 DLIBS_DEBUG = $(LIBRARY_PATH)/libphobos2-ldc-debug.a $(LIBRARY_PATH)/libdruntime-ldc-debug.a
-LIBS        = lz4/lib/liblz4.a -L-L$(LIBRARY_PATH) -L-lpthread -L-lm -L-lz
-LIBS_STATIC = $(LIBRARY_PATH)/libc.a $(DLIBS) $(LIBRARY_PATH)/liblz4.a -L-lz
+LIBS        = -L-L$(LIBRARY_PATH) -L-lpthread -L-lm -L-lz -L-llz4
+# LIBS_STATIC = $(LIBRARY_PATH)/libc.a $(DLIBS) -L-llz4 -L-lz
+LIBS_STATIC = $(DLIBS) -L-lz -L-llz4 -L-lphobos2-ldc -L-ldruntime-ldc
 SRC         = utils/ldc_version_info_.d utils/lz4.d utils/strip_bcf_header.d $(sort $(wildcard BioD/contrib/undead/*.d BioD/contrib/undead/*/*.d)) utils/version_.d $(sort $(wildcard thirdparty/*.d) $(wildcard BioD/bio/*/*.d BioD/bio/*/*/*.d BioD/bio/*/*/*/*.d BioD/bio/*/*/*/*/*.d) $(wildcard sambamba/*.d sambamba/*/*.d sambamba/*/*/*.d))
 OBJ         = $(SRC:.d=.o)
 OUT         = bin/sambamba-$(shell cat VERSION)
-
-STATIC_LIB_PATH=-Llz4
 
 .PHONY: all debug release static clean test
 
@@ -52,14 +56,9 @@
 
 release static pgo-static:         DFLAGS += -O3 -release -enable-inlining -boundscheck=off -L-lz
 
-static:                            DFLAGS += -static -L-Bstatic -link-defaultlib-shared=false
+static:                            DFLAGS += -static -L-Bstatic -link-defaultlib-shared=false $(LIBS_STATIC)
 
 pgo-static:                        DFLAGS += -fprofile-instr-use=profile.data
-
-lz4-static: lz4/lib/liblz4.a
-
-lz4/lib/liblz4.a: lz4/lib/lz4.c lz4/lib/lz4hc.c lz4/lib/lz4frame.c lz4/lib/xxhash.c
-	cd lz4/lib && $(CC) -O3 -c lz4.c lz4hc.c lz4frame.c xxhash.c && $(AR) rcs liblz4.a lz4.o lz4hc.o lz4frame.o xxhash.o
 
 utils/ldc_version_info_.d:
 	python3 ./gen_ldc_version_info.py $(shell which ldmd2) > utils/ldc_version_info_.d
@@ -67,7 +66,7 @@
 
 ldc_version_info: utils/ldc_version_info_.d
 
-build-setup: ldc_version_info lz4-static
+build-setup: ldc_version_info
 	mkdir -p bin/
 
 default debug release static: $(OUT)
@@ -109,10 +108,9 @@
 pgo-static: static debug-strip
 
 install:
-	install -m 0755 bin/sambamba $(prefix)/bin
+	install -m 0755 $(OUT) $(prefix)/bin
 
 clean: clean-d
-	rm lz4/lib/*.[oa]
 	rm -f profile.data
 	rm -f profile.raw
