=== meson_options.txt ===
option('optimize_strong', type : 'boolean', value: false)
