=== debian/changelog ===
sambamba (0.8.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build specifically needs ldc2 (from ldc package), thus adding ldc as
    explicit build dependency.

 -- Andrius Merkys <merkys@debian.org>  Sat, 19 Feb 2022 02:36:22 -0500

sambamba (0.8.2+dfsg-1) unstable; urgency=medium

  * Drop debian/gbp.conf
  * d/rules: Do not link against libbiod
  * New upstream version
  * Add missing build dependency on dh addon.
  * Remove unused override

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 16:15:11 +0100

sambamba (0.8.1+dfsg-2) unstable; urgency=medium

  * Does not Build-Depend libbiod-dev any more
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Thu, 09 Dec 2021 08:18:47 +0100
