=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: sambamba
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-dlang,
-               libbiod-dev,
                libhts-dev (>= 1.10.2-4),
-               meson (>= 0.48),
+               meson,
                pkg-config,
                python3,
                shunit2 <!nocheck>,
                zlib1g-dev,
+               ldc,
 # used by libhts and explicitly referenced in build instruction
                liblz4-dev,
                libcurl4-gnutls-dev | libcurl-dev,
                libssl-dev,
                libbz2-dev,
                libdeflate-dev,
-               liblzma-dev
+               liblzma-dev,
+               debhelper
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/sambamba
 Vcs-Git: https://salsa.debian.org/med-team/sambamba.git
