=== debian/tests/control ===
Tests: run-unit-test
Depends: @, shunit2
Restrictions: allow-stderr
