## sambamba 1.0+dfsg

=== debian/changelog ===
sambamba (1.0+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 12:18:33 +0100
