=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libdeflate-dev,
                liblzma-dev,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/sambamba
 Vcs-Git: https://salsa.debian.org/med-team/sambamba.git
 Homepage: https://github.com/lomereiter/sambamba
