=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,uversionmangle=s/-/~/,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/lomereiter/sambamba/tags .*/v(\d[\d.pre-]+)@ARCHIVE_EXT@
