=== debian/changelog ===
sambamba (1.0.1+dfsg-1build3) noble; urgency=medium

  * Rebuild against new libphobos2-ldc-shared106.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2024 09:56:51 +0100

sambamba (1.0.1+dfsg-1build2) noble; urgency=medium

  * Rebuild against new libphobos2-ldc-shared105.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Nov 2023 14:20:42 +0100

sambamba (1.0.1+dfsg-1build1) noble; urgency=medium

  * Rebuild against new libphobos2-ldc-shared105.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 09:23:36 +0100

sambamba (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Aug 2023 15:21:43 +0200
