=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-dlang,
-               libhts-dev (>= 1.10.2-4),
+               libhts-dev,
                meson,
                pkg-config,
                python3,
