=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Doptimize_strong=true -Dcpp_link_args="-wi -L=-z -L=relro -L=/usr/lib/x86_64-linux-gnu/libbiod.a /usr/lib/x86_64-linux-gnu/libhts.a -L=-lz -L=-lcrypto -L=-lcurl -L=-llzma -L=-lbz2 -L=-ldeflate -L=-llz4"
+	dh_auto_configure -- -Doptimize_strong=true -Dcpp_link_args="-wi -L=-z -L=relro /usr/lib/x86_64-linux-gnu/libhts.a -L=-lz -L=-lcrypto -L=-lcurl -L=-llzma -L=-lbz2 -L=-ldeflate -L=-llz4"
 
 override_dh_missing:
 	dh_missing --fail-missing
